#[derive(Debug,Clone)]
pub enum IntBoolProc{
Integer(i32),
Boolean(bool),
Procedure(String,Rc<LetRecLangExp>,Rc<LetRecLangExp>),
}
impl IntBoolProc {
    pub fn to_string(&self) -> String {
        match *self {
            IntBool::Integer(i) => i.to_string(),
            IntBool::Boolean(b) => b.to_string(),
        }
    }
}